%define        libname  lib%{name}

Name:          x264
Version:       20120401
Release:       1mamba
Epoch:         1
Summary:       A free H264/AVC encoder
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://www.videolan.org/developers/x264.html
Source:        ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{version}-2245-stable.tar.bz2
License:       GPL
BuildRequires: nasm
BuildRequires: yasm
BuildRequires: libgtk-devel
BuildRequires: libX11-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A H264/AVC video decoder and encoder.

%package -n %{libname}
Summary:       A free library for encoding H264/AVC video streams
Group:         System/Libraries

%description -n %{libname}
x264 is a free library for encoding H264/AVC video streams.

%package -n %{libname}-devel
Summary:       Static libraries and headers for %{libname}
Group:         Development/Libraries

%description -n %{libname}-devel
x264 is a free library for encoding H264/AVC video streams.

This package contains static libraries and header files need for development.

%prep
%setup -q -n %{name}-snapshot-%{version}-2245-stable

%build
%configure \
  --enable-visualize \
  --enable-pic \
  --enable-shared \
  --extra-cflags="%{optflags}" \
  --host=%{_host}

#  --enable-pthread \
#  --enable-gtk \
# FIXME: --enable-mp4-output need gpac

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
#%{_datadir}/%{name}
%doc AUTHORS COPYING doc/*.txt

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Apr 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 20120401-1mamba
- update to 20120401

* Sat Oct 08 2011 Automatic Build System <autodist@mambasoft.it> 20111007-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 20111002-1mamba
- automatic version update by autodist

* Fri Jul 29 2011 Automatic Build System <autodist@mambasoft.it> 20110728-1mamba
- automatic update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 20110724-1mamba
- automatic version update by autodist

* Sun Mar 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 20110326-1mamba
- update to 20110326

* Wed Mar 16 2011 Automatic Build System <autodist@mambasoft.it> 20110315-1mamba
- automatic update by autodist

* Thu Jun 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 20100125-2mamba
- rebuilt with ffmpeg 0.5.2

* Tue Jan 26 2010 Automatic Build System <autodist@mambasoft.it> 20100125-1mamba
- automatic update by autodist

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 20091025-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 20091014-1mamba
- automatic update by autodist

* Tue Aug 25 2009 Automatic Build System <autodist@mambasoft.it> 20090824-1mamba
- automatic update by autodist

* Wed Aug 19 2009 Automatic Build System <autodist@mambasoft.it> 20090818-1mamba
- automatic update by autodist

* Tue Aug 11 2009 Automatic Build System <autodist@mambasoft.it> 20090811-1mamba
- automatic update by autodist

* Wed Aug 05 2009 Automatic Build System <autodist@mambasoft.it> 20090804-1mamba
- automatic update by autodist

* Wed Jul 29 2009 Automatic Build System <autodist@mambasoft.it> 20090728-1mamba
- automatic update by autodist

* Wed Jul 22 2009 Automatic Build System <autodist@mambasoft.it> 20090721-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 20090709-1mamba
- automatic update by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 20090101-1mamba
- automatic update by autodist

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20081113-1mamba
- update to 20081113

* Mon May 14 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 20070513-1mamba
- update to 20070513
- spec file fixed and updated
- added x264 package
- added missing build requirements

* Mon Jun 27 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> svn_20050620-2qilnx
- rebuild and moved to devel repository

* Sat Jun 25 2005 Matteo Bernasconi <voyagernm@virgilio.it> svn_20050620-1qilnx
- First Build